package com.safeway.kafka.endpoint;

import com.safeway.kafka.OrderService;
import com.safeway.kafka.entity.Order;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(path = "/order", produces = MediaType.APPLICATION_JSON_VALUE, consumes = MediaType.APPLICATION_JSON_VALUE)
public class OrderController {

  @Autowired
  private OrderService orderService;

  @PostMapping()
  public String createOrder(@RequestBody Order order){
    orderService.saveOrder(order);
    return "order was created successfully";
  }
}
